Bug 175363 - [PATCH] net-mgmt/p5-Net-IPv4Addr, net-mgmt/p5-Net-IPv6Addr: update WWW page in pkg-descr, add LICENSE
[PATCH] net-mgmt/p5-Net-IPv4Addr, net-mgmt/p5-Net-IPv6Addr: update WWW page i...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 02:30 UTC by linpc
Modified: 2013-01-19 03:50 UTC (History)
0 users

See Also:


Attachments
p5-Net-IPvXAddr.patch (2.49 KB, patch)
2013-01-17 02:30 UTC, linpc
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description linpc 2013-01-17 02:30:00 UTC
- The URL in pkg-descr are over-dated, so replace it with CPAN site.
- Add LICENSE (ART10 and GPLv1)
Comment 1 Edwin Groothuis freebsd_committer 2013-01-17 02:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills freebsd_committer 2013-01-19 03:40:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2013-01-19 03:40:15 UTC
Author: swills
Date: Sat Jan 19 03:40:02 2013
New Revision: 310635
URL: http://svnweb.freebsd.org/changeset/ports/310635

Log:
  - The URL in pkg-descr are out-dated, so replace it with CPAN site.
  - Add LICENSE (ART10 and GPLv1)
  
  PR:		ports/175363
  Submitted by:	Po-Chien Lin <linpc@cs.nctu.edu.tw>

Modified:
  head/net-mgmt/p5-Net-IPv4Addr/Makefile   (contents, props changed)
  head/net-mgmt/p5-Net-IPv4Addr/pkg-descr   (contents, props changed)
  head/net-mgmt/p5-Net-IPv6Addr/Makefile   (contents, props changed)
  head/net-mgmt/p5-Net-IPv6Addr/pkg-descr   (contents, props changed)

Modified: head/net-mgmt/p5-Net-IPv4Addr/Makefile
==============================================================================
--- head/net-mgmt/p5-Net-IPv4Addr/Makefile	Sat Jan 19 03:26:00 2013	(r310634)
+++ head/net-mgmt/p5-Net-IPv4Addr/Makefile	Sat Jan 19 03:40:02 2013	(r310635)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	p5-Net-IPv4Addr
-# Date created:				25 February 2000
-# Whom:                			Brad Hendrickse <bradh@uunet.co.za>
-#
+# Created by: Brad Hendrickse <bradh@uunet.co.za>
 # $FreeBSD$
-#
 
 PORTNAME=	Net-IPv4Addr
 PORTVERSION=	0.10
@@ -14,6 +10,9 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Perl extension for manipulating IPv4 addresses
 
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
 PERL_CONFIGURE=	yes
 
 MAN1=		ipv4calc.1

Modified: head/net-mgmt/p5-Net-IPv4Addr/pkg-descr
==============================================================================
--- head/net-mgmt/p5-Net-IPv4Addr/pkg-descr	Sat Jan 19 03:26:00 2013	(r310634)
+++ head/net-mgmt/p5-Net-IPv4Addr/pkg-descr	Sat Jan 19 03:40:02 2013	(r310635)
@@ -3,4 +3,4 @@ in traditional address/netmask format an
 Methods for calculating the network and broadcast address, and
 also to check if a given address is in a specific network also exist.
 
-WWW: http://indev.insu.com/
+WWW: http://search.cpan.org/dist/Net-IPv4Addr/

Modified: head/net-mgmt/p5-Net-IPv6Addr/Makefile
==============================================================================
--- head/net-mgmt/p5-Net-IPv6Addr/Makefile	Sat Jan 19 03:26:00 2013	(r310634)
+++ head/net-mgmt/p5-Net-IPv6Addr/Makefile	Sat Jan 19 03:40:02 2013	(r310635)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	p5-Net-IPv6Addr
-# Date created:				13 September 2001
-# Whom:                			JJ Behrens <jj@nttmcl.com>
-#
+# Created by: JJ Behrens <jj@nttmcl.com>
 # $FreeBSD$
-#
 
 PORTNAME=	Net-IPv6Addr
 PORTVERSION=	0.2
@@ -14,6 +10,9 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Perl extension for manipulating IPv6 addresses
 
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
 BUILD_DEPENDS=	p5-Net-IPv4Addr>=0:${PORTSDIR}/net-mgmt/p5-Net-IPv4Addr \
 		p5-Math-Base85>=0:${PORTSDIR}/math/p5-Math-Base85
 RUN_DEPENDS:=	${BUILD_DEPENDS}

Modified: head/net-mgmt/p5-Net-IPv6Addr/pkg-descr
==============================================================================
--- head/net-mgmt/p5-Net-IPv6Addr/pkg-descr	Sat Jan 19 03:26:00 2013	(r310634)
+++ head/net-mgmt/p5-Net-IPv6Addr/pkg-descr	Sat Jan 19 03:40:02 2013	(r310635)
@@ -4,4 +4,4 @@ described in RFC1924 are also valid.  It
 strings (as described in RFC1886) if you are inclined to play with
 DNS records.
 
-WWW: http://www.nog.net/~tony/warez/
+WWW: http://search.cpan.org/dist/Net-IPv6Addr/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"